package nckd.jimin.jyyy.fi.plugin.form;

import kd.bos.dataentity.resource.ResManager;
import kd.bos.entity.datamodel.ListSelectedRowCollection;
import kd.bos.form.control.events.ItemClickEvent;
import kd.bos.list.BillList;
import kd.bos.list.plugin.AbstractListPlugin;
import kd.sdk.plugin.Plugin;

/**
 * 标准单据列表插件
 */
public class VoucherListPlugin extends AbstractListPlugin implements Plugin {

    public void itemClick(ItemClickEvent evt) {
        super.itemClick(evt);
        switch (evt.getItemKey()) {
            case "nckd_sap":
                BillList billList = (BillList)this.getView().getControl("billlistap");
                ListSelectedRowCollection selectedRows = billList.getSelectedRows();
                if (selectedRows == null || selectedRows.isEmpty()) {
                    this.getView().showTipNotification("没选中数据！", 2500);
                    return;
                }
                break;
        }

    }

}